gr::gsm::time_sample_ref Class Reference

`#include <time_sample_ref.h>`

## Public Member Functions

| time_sample_ref (double samp_rate)
| ~time_sample_ref ()
void | update (time_spec_t last_rx_time, uint64_t current_start_offset)
time_spec_t | offset_to_time (uint64_t offset)
uint64_t | time_to_offset (time_spec_t time)

## Constructor & Destructor Documentation

## time_sample_ref()

gr::gsm::time_sample_ref::time_sample_ref | ( | double | samp_rate | ) |

## ~time_sample_ref()

gr::gsm::time_sample_ref::~time_sample_ref | ( |  | ) |

## Member Function Documentation

## offset_to_time()

time_spec_t gr::gsm::time_sample_ref::offset_to_time | ( | uint64_t | offset | ) |

## time_to_offset()

uint64_t gr::gsm::time_sample_ref::time_to_offset | ( | time_spec_t | time | ) |

## update()

void gr::gsm::time_sample_ref::update | ( | time_spec_t | last_rx_time,
|  | uint64_t | current_start_offset )

The documentation for this class was generated from the following file:

- time_sample_ref.h